package io.renren.modules.app.service;

import com.baomidou.mybatisplus.service.IService;
import com.github.pagehelper.PageInfo;
import io.renren.modules.app.entity.HKmEntity;

import java.util.List;
import java.util.Map;

/**
 * 科目
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-06-11 11:09:45
 */
public interface HKmService extends IService<HKmEntity> {

    /**
     * 分页模糊查询
     * @param pageNum
     * @param pageSize
     * @param hKmEntity
     * @return
     */
    PageInfo<HKmEntity> queryByPage(Integer pageNum, Integer pageSize, HKmEntity hKmEntity);
    
    List<HKmEntity> selectejcd(HKmEntity hKmEntity);
    List<HKmEntity> selectsjcd(HKmEntity hKmEntity);
    List<HKmEntity> selectsijcd2(HKmEntity hKmEntity);


    /**
    * 单个或批量删除
    * @param ids
    */
    void deleteBatch(String[] ids);
}

